EDU Server cannot connect - Enable .NET Framework 3.5

Article last updated:

Windows operates on what is called the .NET Framework. The current version is 4.5 but the zSpace Edu Server requires version 3.5 which is not enabled by default in Windows 8.1 or Windows 10.

If the .NET Framework 3.5 is not enabled the zSpace Edu Server Windows service will be in a stopped state. If you try to start it you will see an error message "The operation could not be completed."

 

To check and if needed enable .NET Framework 3.5 do the following:

  1. Click the Windows Start button and type "control panel" without the quote marks. Click the Control Panel in your search results.
  2. Click on Programs and Features.
  3. Along the left column, click Turn Windows features on or off.
  4. In the list find .NET Framework 3.5. If there is a black square or check mark next to the entry it is installed. If it is not installed click the entry so either it has a check mark or a black square.
  5. Select Ok.
  6. Upon selecting Ok you will be prompted requesting to connect to Windows Update to download the necessary files. Selecting this option will install .NET Framework 3.5.
  7. After the installation is complete reboot your computer.
Was this article helpful?
1 out of 1 found this helpful
Have more questions? Submit a request

Comments